function [mean_mean_final_prices, st_dev_mean_final_prices, mean_mean_prices] = run_model2(P)

rand('state', P.random_state);
distribution_final_strategies = zeros(P.n_simulation_runs, P.n_strategies);
sum_mean_strategies = zeros(P.n_rounds, 1);
for i = 1:P.n_simulation_runs
    disp(i);
    initial_strategies = floor(P.n_strategies .* rand(P.n, P.m));
    [final_strategies, mean_strategies] = model2(initial_strategies, P.price_min, P.price_step_size, P.n_strategies, P.model_variant, P.learning_neighborhood, P.noise_level, P.experimentation_prob, P.n_rounds, floor(1e6 .* rand));
    distribution_final_strategies(i, :) = histc(final_strategies(:), 0:(P.n_strategies - 1));
    sum_mean_strategies = sum_mean_strategies + mean_strategies;
end
mean_final_prices = (distribution_final_strategies * (P.price_min + (0:(P.n_strategies - 1))' .* P.price_step_size)) ./ (P.m .* P.n);
mean_mean_final_prices = mean(mean_final_prices);
st_dev_mean_final_prices = std(mean_final_prices, 1);
mean_mean_prices = P.price_min + (sum_mean_strategies ./ P.n_simulation_runs) .* P.price_step_size;